petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatFindZeroDiagonals

Finds all the rows of a matrix that have zero or no diagonal entry in the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFindZeroDiagonals(Mat mat,IS *is)

Collective on Mat

### Input Parameter

mat -the matrix

### Output Parameter

is -if any rows have zero diagonals this contains the list of them

### See Also

MatMultTranspose(), MatMultAdd(), MatMultTransposeAdd()

### Level

developer

### Location

src/mat/interface/matrix.c

### Implementations

MatFindZeroDiagonals_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatFindZeroDiagonals_SeqAIJ_Private in src/mat/impls/aij/seq/aij.c
MatFindZeroDiagonals_SeqAIJ in src/mat/impls/aij/seq/aij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages